# Uses of Class
org.apache.avro.SchemaBuilder.StringDefault

Packages that use SchemaBuilder.StringDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.StringDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.StringDefault
Modifier and Type
Method
Description
`final SchemaBuilder.StringDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`stringType()`
A plain string type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.StringDefault
Modifier and Type
Method
Description
`final SchemaBuilder.StringBldr<SchemaBuilder.StringDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`stringBuilder()`
Build a string type that can set custom properties.
`SchemaBuilder.StringBldr<SchemaBuilder.UnionAccumulator<SchemaBuilder.StringDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`stringBuilder()`
Build a string type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.StringDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`stringType()`
A plain string type without custom properties.